#version 330

in vec4 position;

uniform float timer = 0.0;

void main(void)
{
  float s = sin(timer/1000.0);
  float c = cos(timer/1000.0);
  mat2 rot = mat2(vec2(c, -s), vec2(s, c));
  gl_Position = vec4(sin(timer/2000.0)*vec2(rot * position.xy),0.0, 1.0);
}
