#version 330

uniform float width = 800.0;
uniform float height= 600.0;
uniform float timer = 0.0;

in vec4 position;

out vec2 u;

void main()
{

  float s = sin(timer/1000.0);
  float c = cos(timer/1000.0);
  mat2 rot = mat2(vec2(c, -s), vec2(s, c));
  vec4 my_pos = vec4((2.0+sin(timer/2000.0))*vec2(rot * position.xy),0.0, 1.0);
  gl_Position = my_pos;
  u = (my_pos.xy * vec2(width/height, -1.0) + vec2(1.0, 1.0)) / 2.0;
}

